Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSCheckObjectPasswordElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.XDSCheckObjectPasswordElement

All Implemented Interfaces:
  AssociationElementParent, CommandElement, PasswordElementParent, XDSElement

public class XDSCheckObjectPasswordElement
extends ElementImpl
implements CommandElement, AssociationElementParent, PasswordElementParent

A `<check-object-password>` element.

Since:
  DTD 2.0
See Also:
  `//TODO: can submit to eDir?`

Method Summary
`XDSAssociationElement` | `appendAssociationElement(String someText)` A method stub for implementing interface `CommandElement`.
`XDSPasswordElement` | `appendPasswordElement(String someText)` A method stub for implementing interface `CommandElement`.
`List` | `childElements()` Returns this element's child elements.
`XDSAssociationElement` | `extractAssociationElement()` Returns this element's child `<association>` element.
`String` | `extractAssociationText()` Returns the concatenated child text nodes from this element's child `<association>` element.
`XDSPasswordElement` | `extractPasswordElement()` Returns this element's child `<password>` element.
`String` | `extractPasswordText()` Returns the concatenated child text nodes from this element's child `<password>` element.
`String` | `getClassName()` Gets the value of this element's `class-name` attribute.
`String` | `getDestDN()` Gets the value of this element's `dest-dn` attribute.
`String` | `getEventID()` Gets the value of this element's `event-id` attribute.
`String` | `getQualifiedSrcDN()` A method stub for implementing interface `CommandElement`.
`String` | `getSrcDN()` A method stub for implementing interface `CommandElement`.
`String` | `getSrcEntryID()` A method stub for implementing interface `CommandElement`.
`void` | `setEventID(String someID)` A method stub for implementing interface `CommandElement`.

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSElement
`attributeValueGet, attributeValueGet, attributeValueSet, domDocument, domElement, localName, namespaceName, position, tagName`

Method Detail

### getSrcDN

    public String getSrcDN()

  A method stub for implementing interface `CommandElement`.

  Invocation Context:
    READ

  Specified by:
    `getSrcDN` in interface `CommandElement`
  Returns:
    always returns `null`; will not return `""`

### getSrcEntryID

    public String getSrcEntryID()

  A method stub for implementing interface `CommandElement`.

  Invocation Context:
    READ

  Specified by:
    `getSrcEntryID` in interface `CommandElement`
  Returns:
    always returns `null`; will not return `""`

### getDestDN

    public String getDestDN()

  Gets the value of this element's `dest-dn` attribute.

  Invocation Context:
    READ

  Returns:
    may return `null`; will not return `""`

### extractPasswordText

    public String extractPasswordText()

  Description copied from interface: `PasswordElementParent`
  Returns the concatenated child text nodes from this element's child `<password>` element.

  Invocation Context:
    READ

  Specified by:
    `extractPasswordText` in interface `PasswordElementParent`
  Returns:
    may return `null`; will not return `""`

### extractPasswordElement

    public XDSPasswordElement extractPasswordElement()

  Description copied from interface: `PasswordElementParent`
  Returns this element's child `<password>` element.

  Invocation Context:
    READ

  Specified by:
    `extractPasswordElement` in interface `PasswordElementParent`
  Returns:
    may return `null`

### getEventID

    public String getEventID()

  Description copied from interface: `CommandElement`
  Gets the value of this element's `event-id` attribute.

  Invocation Context:
    READ

  Specified by:
    `getEventID` in interface `CommandElement`
  Returns:
    may return `null`; will not return `""`

### getQualifiedSrcDN

    public String getQualifiedSrcDN()

  A method stub for implementing interface `CommandElement`.

  Invocation Context:
    READ

  Specified by:
    `getQualifiedSrcDN` in interface `CommandElement`
  Returns:
    may return `null`; will not return `""`

### getClassName

    public String getClassName()

  Gets the value of this element's `class-name` attribute.

  Invocation Context:
    READ

  Specified by:
    `getClassName` in interface `CommandElement`
  Returns:
    always returns null

### childElements

    public List childElements()

  Returns this element's child elements.

  Usage Notes:
    The types of objects returned by this method may be extended in the future. Thus, callers should be able to handle object types other than those listed in the returns field below.
  Invocation Context:
    READ

  Specified by:
    `childElements` in interface `XDSElement`
  Overrides:
    `childElements` in class `ElementImpl`
  Returns:
    `Collections.EMPTY_LIST` or a list of `XDSAssociationElement`, `XDSPasswordElement`, `XDSAddAttrElement`, and `NonXDSElement` objects; will not return `null`

### extractAssociationElement

    public XDSAssociationElement extractAssociationElement()

  Returns this element's child `<association>` element.

  Invocation Context:
    READ

  Specified by:
    `extractAssociationElement` in interface `AssociationElementParent`
  Returns:
    always returns `null`

### extractAssociationText

    public String extractAssociationText()

  Returns the concatenated child text nodes from this element's child `<association>` element.

  Invocation Context:
    READ

  Specified by:
    `extractAssociationText` in interface `AssociationElementParent`
  Returns:
    always returns `null`

### appendPasswordElement

    public XDSPasswordElement appendPasswordElement(String someText)

  A method stub for implementing interface `CommandElement`.

  Invocation Context:
    NONE

  Specified by:
    `appendPasswordElement` in interface `PasswordElementParent`
  Parameters:
    `someText` - do not invoke
  Returns:
    do not invoke

### appendAssociationElement

    public XDSAssociationElement appendAssociationElement(String someText)

  A method stub for implementing interface `CommandElement`.

  Invocation Context:
    NONE

  Specified by:
    `appendAssociationElement` in interface `AssociationElementParent`
  Parameters:
    `someText` - do not invoke
  Returns:
    do not invoke

### setEventID

    public void setEventID(String someID)

  A method stub for implementing interface `CommandElement`.

  Invocation Context:
    NONE

  Specified by:
    `setEventID` in interface `CommandElement`
  Parameters:
    `someID` - do not invoke

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD